Subject: FreeBSD vs. NetBSD executable formats....

From: Dave Burgess <[email-masked]>

I was reading along a minute ago and it suddenly hit me.

I can see a BIG impediment to folks wanting to use FreeBSD and NetBSD.
Our default executable formats are different.  As a vendor (like the
GNAT port, for example) I would want to make one executable for the
FreeBSD, NetBSD, and BSD/386 crowd.  

The thing that rang this particular bell was that it is not possible to
simply 'install' FreeBSD over NetBSD.  With the differences in our
executable format, any time anyone wants to just 'use' a port of an 
existing program, they will have to do a source code -> compile step.
While this is not particularly critical for me, some folks are really
not up to the task of compiling their own programs.

So, finally, a question.

Is it (or should it even BE) possible to have FreeBSD executables
coexist in a reasonably clean way with NetBSD as a system?  With the
teaching schedule I have this quarter, it certainly isn't possible for
me to do much more than conjecture, but what are the REAL (as opposed
to philosophical) problems with doing something like this?